import { Diagnostic } from "@siteimprove/alfa-act";
import type { Element, Node } from "@siteimprove/alfa-dom";
import { Either } from "@siteimprove/alfa-either";
import type { Hash } from "@siteimprove/alfa-hash";
import type { Rectangle } from "@siteimprove/alfa-rectangle";
import { Sequence } from "@siteimprove/alfa-sequence";
import { WithName } from "./with-name.js";
import type * as json from "@siteimprove/alfa-json";
export declare class WithBoundingBox extends WithName {
    static of(message: string): Diagnostic;
    static of(message: string, name: string): WithName;
    static of(message: string, name: string, box: Rectangle, condition: Either<WithBoundingBox.UACondition, WithBoundingBox.SizeAndSpacingCondition>, tooCloseNeighbors: Iterable<Element>): WithBoundingBox;
    protected readonly _box: Rectangle;
    protected readonly _condition: Either<WithBoundingBox.UACondition, WithBoundingBox.SizeAndSpacingCondition>;
    protected readonly _tooCloseNeighbors: Sequence<Element>;
    protected constructor(message: string, name: string, box: Rectangle, condition: Either<WithBoundingBox.UACondition, WithBoundingBox.SizeAndSpacingCondition>, tooCloseNeighbors: Iterable<Element>);
    get box(): Rectangle;
    get condition(): Either<WithBoundingBox.UACondition, WithBoundingBox.SizeAndSpacingCondition>;
    get tooCloseNeighbors(): Iterable<Element>;
    equals(value: WithBoundingBox): boolean;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(options?: Node.SerializationOptions): WithBoundingBox.JSON;
}
export declare namespace WithBoundingBox {
    interface JSON extends WithName.JSON {
        box: Rectangle.JSON;
        condition: json.JSON;
        tooCloseNeighbors: Sequence.JSON<Element>;
    }
    interface UACondition {
        ua: boolean;
    }
    interface SizeAndSpacingCondition {
        size: boolean;
        spacing: boolean;
    }
    function isWithBoundingBox(value: WithBoundingBox): value is WithBoundingBox;
    function isWithBoundingBox(value: unknown): value is WithBoundingBox;
}
//# sourceMappingURL=with-bounding-box.d.ts.map