import { Diagnostic } from "@siteimprove/alfa-act";
import type { Role } from "@siteimprove/alfa-aria";
import type { Device } from "@siteimprove/alfa-device";
import type { Element } from "@siteimprove/alfa-dom";
import type * as dom from "@siteimprove/alfa-dom";
import type { Hash } from "@siteimprove/alfa-hash";
/**
 * @public
 */
export declare class WithRole extends Diagnostic {
    static of(message: string): Diagnostic;
    static of(message: string, role: Role.Name): WithRole;
    protected readonly _role: Role.Name;
    protected constructor(message: string, role: Role.Name);
    get role(): Role.Name;
    equals(value: WithRole): boolean;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(options?: dom.Node.SerializationOptions): WithRole.JSON;
}
/**
 * @public
 */
export declare namespace WithRole {
    interface JSON extends Diagnostic.JSON {
        role: string;
    }
    function isWithRole(value: Diagnostic): value is WithRole;
    function isWithRole(value: unknown): value is WithRole;
    function getRoleName(element: Element, device: Device): Role.Name;
}
//# sourceMappingURL=with-role.d.ts.map