import { Diagnostic, Rule } from "@siteimprove/alfa-act";
import { Element } from "@siteimprove/alfa-dom";
import { Err, Ok } from "@siteimprove/alfa-result";
import type { Page } from "@siteimprove/alfa-web";
import { Question } from "../common/act/index.js";
/**
 * This rule always asks Whether the `<title>` of the page is descriptive. This
 * is not a nice experience for the end user and shouldn't be used until
 * backend can automatically determine the answer.
 */
declare const _default: Rule.Atomic<Page, Element<string>, Question.Metadata, Element<string>>;
export default _default;
/**
 * @public
 */
export declare namespace Outcomes {
    const TitleIsDescriptive: Ok<Diagnostic>;
    const TitleIsNotDescriptive: Err<Diagnostic>;
}
//# sourceMappingURL=rule.d.ts.map