import { Diagnostic, Rule } from "@siteimprove/alfa-act";
import { Element, Node } from "@siteimprove/alfa-dom";
import type { Hash } from "@siteimprove/alfa-hash";
import { Err, Ok } from "@siteimprove/alfa-result";
import type { Page } from "@siteimprove/alfa-web";
declare const _default: Rule.Atomic<Page, Element<string>, {}, Element<string>>;
export default _default;
/**
 * @public
 */
export declare namespace Outcomes {
    const VisibleIsInName: (textContent: string, name: string) => Ok<LabelAndName>;
    const VisibleIsNotInName: (textContent: string, name: string) => Err<LabelAndName>;
}
/**
 * @public
 */
export declare class LabelAndName extends Diagnostic {
    static of(message: string, textContent?: string, name?: string): LabelAndName;
    private readonly _textContent;
    private readonly _name;
    protected constructor(message: string, textContent: string, name: string);
    get textContent(): string;
    get name(): string;
    equals(value: LabelAndName): boolean;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(options?: Node.SerializationOptions): LabelAndName.JSON;
}
/**
 * @public
 */
export declare namespace LabelAndName {
    interface JSON extends Diagnostic.JSON {
        textContent: string;
        name: string;
    }
    function isLabelAndName(value: Diagnostic): value is LabelAndName;
    function isLabelAndName(value: unknown): value is LabelAndName;
}
//# sourceMappingURL=rule.d.ts.map